Subject: Re: distribution suggestion
From: Earnie Boyd <[email-masked]>
To: Robert Collins <[email-masked]>, Jasmin Patry <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 16 Oct 2000 16:02:27 -0700 (PDT)

Jasmin,

I see that you would like to use MinGW to build tuxracer.  Have you
accomplished this before?  I.E. Does it work on WinNT 4 and not W2K?  Which
were you using crtdll or msvcrt?

As for just renaming Cygwin, it would use the same shared memory region.  So
this is inadvisable.

I'll suggest that the setup process ask if a previous version of Cygwin is
installed.  You could possibly search for registry entries but the keys change
from time to time depending on versioning for the registry data.  Or possibly
do something similar to cygcheck and search the directories for possible Cygwin
installations.  Never install the Cygwin1.dll in the Windows system paths,
always store it with the executable needing it if you have to install it at
all.

Cheers,
Earnie.
--- Robert Collins <[email-masked]> wrote:
> Jasmin,
> I've cc'd my reply to the cygwin mailing list as I cannot give you a full
> answer (and I don't _recall_ seeing any mailing items that match to this on
> the list to date).
> 
> Cygwiners: There's a neat little game "tuxracer"
> http://tuxracer.sourceforge.net . When I looked at it I found it uses
> cygwin1.dll & glut.. however they distibute cygwin1.dll (which gives rise to
> our favourite conflict).
> 
> I suggested packaging cygwin1.dll separately as the runtime will run against
> newer cygwin1.dll's, and users who need it can download it, but this
> obviously needs user knowledge of whats going on :-]---
> 
> Is there a good answer to Jasmin's question below?
> 
> Rob
> 
> ----- Original Message -----
> From: "Jasmin Patry" <[email-masked]>
> To: "Robert Collins" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Tuesday, October 17, 2000 5:12 AM
> Subject: Re: distribution suggestion
> 
> 
> > On Mon, Oct 16, 2000 at 08:21:22PM +1100, Robert Collins wrote:
> > > Hi,
> > >     I notice you use cygwin1.dll as a support library for tuxracer.
> > >
> > > All windows users that have cygwin1.dll in memory will find tuxracer
> doesn't
> > > work, or stackdumps unless their copy of cygwin1.dll is the same build
> as
> > > yours. The solution is to move or rename the cygwin1.dll from your
> > > distribution.
> >
> > Thanks a lot for pointing this out.  We'd prefer to use mingw32 to
> > compile Tux Racer (hence no cygwin1.dll), but unfortunately the
> > resulting executable doesn't run under Windows 2000.
> >
> > Do you know if renaming cygwin1.dll to something else will work (after
> > re-linking tuxracer against that new dll, of course)?  Or will it still
> > try to use the same shared memory segments as before, resulting in the
> > same problem?
> >
> > Thanks,
> > Jasmin
> >
> > --
> > Jasmin Patry                               Lead Programmer, Tux Racer
> > [email-masked]                   http://www.tuxracer.com
> >
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

__________________________________________________
Do You Yahoo!?
Yahoo! Messenger - Talk while you surf!  It's FREE.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]